#include "Ship.hpp"
#include "Plot.hpp"

void write_csv(std::string filename, std::vector<std::pair<std::string, std::vector<double>>> dataset);

void run_simulation(std::vector<Eigen::Vector2d>& map, std::vector<PoseSE2>& ASVs_eta0, std::vector<Eigen::Vector2d>& ASVs_goal, std::vector<double>& ASVs_nominal_speed, std::vector<bool>& activate_COLAV, std::vector<bool>& plot_opt, int& scenario);

void run_simulation(std::vector<Ellipse> map_details, std::vector<PoseSE2>& ASVs_eta0, std::vector<std::vector<Eigen::Vector2d>>& waypoints, std::vector<double>& ASVs_nominal_speed);

std::pair<PoseSE2, Eigen::Vector2d> coord(double radius, double angle);